/merchants/{merchantCode}/campaigns/{campaignCode} (GET)
GET
/merchants/{merchantCode}/campaigns/{campaignCode}
Gets a merchants campaign
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
campaignCode
required
string
Query Parameters
Section titled “Query Parameters”fields
string format: csv
Fields which should be included in the response. This field is optional. If the field is not set the default fields will be shown
includeInternalId
boolean
Include internal id in response
Responses
Section titled “Responses”Returns object containing property campaign
Media typeapplication/json
object
campaign
object
code
string
parentCampaignCode
string | null
name
string
triggerType
string
settings
object
eventType
Only needed if type is event. With the option “custom” you can listen to custom events from external systems. If custom is set the property “customEventType” must be set
string
customEventType
Required if eventType is “custom”. This property associate an campaign with the custom event triggered via the notification event receiver
string | null
startDate
string | null
endDate
string | null
timezone
string | null
triggerConditions
object | null
sendDate
string | null
scheduleType
string
timezone
string | null
description
string
templateCode
null | string
messages
object | null
delivery
object
methods
Array<object>
object
channel
required
string
settings
null | object
segmentCodes
Array<string | null> | null
segmentRules
null | object
actions
object
primary
required
object
type
required
string
parameters
object
tracking
object
addUTMToLinks
boolean
utmSource
string | null
utmMedium
string | null
utmCampaign
string | null
utmContent
string | null
status
string
processingStatus
string
metrics
Array<object>
object
channel
string
platform
string
locale
string
distributionIndex
number
sent
number
failed
number
skipped
number
dispatches
Array<object>
object
id
number
status
string
processed
number
skipped
number
failed
number
Example
{ "campaign": { "code": "CAMPAIGN1", "parentCampaignCode": "CAMPAIGN1_PARENT", "name": "Our first campaign", "triggerType": "event", "settings": { "eventType": "fulfillmentOrderUpdated", "startDate": "2016-07-27T07:45:00Z", "endDate": "2016-07-27T07:45:00Z", "timezone": null, "triggerConditions": { "type": { "$in": [ "status1", "status2" ] } }, "sendDate": "2016-07-27T07:45:00Z", "scheduleType": "none" }, "description": "description of the entity", "templateCode": "TEMPLATE1", "delivery": { "methods": [ { "channel": "push" } ] }, "segmentCodes": [ "SEGMENT1" ], "segmentRules": {}, "actions": { "primary": { "type": "openWebPage", "parameter": { "url": "https://google.com" } } }, "status": "active", "processingStatus": "active", "dispatches": [ { "status": "succeeded" } ] }}
